{% extends "posts/base.html"%}
{% block page_content %}

{% if object.author == user %}

    <div id="main">
        <div class="container">
            <div class="row">

                <!-- Content -->
                <div class="6u">
                    <section>
                           <a href="{% url 'finance-list' user.id %}" class="button">Arrange your financial chart</a>
                    </section>
                </div>
                <div class="6u">
                    <section>
                           <a href="{% url 'media-upload' user.id %}" class="button">Add pictures</a>
                        <ul>
                        </ul>
                    </section>
                </div>
            </div>
        </div>
    </div>
{% endif %}




<font color="black">

    <div id="page" class="container">
    <div class="row">
    {% block sidebar %}
        <div id="sidebar" class="4u">
        <section>
            <header class="major">
                <h2>Details:</h2>
            </header>
            <div class="row half">
                <section class="6u">
                    <ul class="default">
                        {% if object.author %}
                        <li><b>Author: <br>{{ object.author }}, {{ object.relation.cro_uni }}</b></li>
                        {% else %}
                        <li><font color="red">Erased profile</font></li>
                        {% endif %}
                        <li><b>{{ object.relation.ex_uni }}, {{ object.ex_year }}</b></li>
                        <li><b>Programm: {{ object.relation.program.short_name }}</b><br><b>ISCED Area: {{ object.relation.ISCED_Area }}</b></li>
                        {% if object.finance_set.count > 0 %}
                        <li><b>Monthly expenses:</b> <br>
                            {% for o in object.finance_set.all %}
                            <b>{{ o.finance_type.type }} - {{ o.amount }} kn<br></b>
                            {% endfor %}

                        {% endif %}
                    </li>
                    </ul>
                </section>
            </div>
        </section>
    </div>
    {% endblock sidebar %}
{% block content %}
    <div id="content" class="8u skel-cell-important">
        <section>
            <header class="major">
                <h2>{{ object.title }}</h2>
                <span class="byline">{{ object.last_modified|date:"F d, Y" }}</span>
                {% if object.author == user %}
                    <div>
                        <a class = "btn btn-secondary btn-sm mt-1 mb-1" href={% url 'post-update' object.id %}>Update</a>
                        <a class = "btn btn-danger btn-sm mt-1 mb-1" href={% url 'post-delete' object.id %}>Delete</a>
                    </div>
                {% endif %}
           </header>
            <p class="article-content">{{ object.generally }}</p>
            <canvas id="barChart"></canvas>

          </section>
    </div>

{% endblock %}
    </div>
    </div>

    <p></p><p></p>

    <div id="page" class="container">
            <section>
                <header class="major">
                    <h2>University review - {{ object.aboutuni.ex_uni.name }}</h2>
                     {% if object.author == user %}
                     <a class = "btn btn-secondary btn-sm mt-1 mb-1" href={% url 'aboutuni-update' object.aboutuni.id %}>Update</a>
                    {% endif %}

                </header>
                {% if object.aboutuni.generally %}
                <b class="byline">ABOUT UNIVERSITY:</b>
                {% endif %}
                <p>{{ object.aboutuni.generally }}</p>
                {% if object.aboutuni.prof %}
                <b class="byline">PROFESSORS:</b>
                {% endif %}
                <p>{{ object.aboutuni.prof }}</p>
                {% if object.aboutuni.subjects %}
                <b class="byline">SUBJECTS:</b>
                {% endif %}
                <p>{{ object.aboutuni.subjects }}</p>

            </section>
        </div>

        <p></p><p></p>

        <div id="page" class="container">
            <section>
                <header class="major">
                    <h2>City review - {{ object.aboutcity.city }}</h2>
                 {% if object.author == user %}
                     <a class = "btn btn-secondary btn-sm mt-1 mb-1" href={% url 'aboutcity-update' object.aboutcity.id %}>Update</a>
                 {% endif %}
                </header>
                {% if object.aboutcity.how_to_arrive %}
                <b class="byline">HOW TO ARRIVE:</b>
                {% endif %}
                <p>{{ object.aboutcity.how_to_arrive }}</p>
                 {% if object.aboutcity.city_traffic %}
               <b class="byline">CITY TRAFFIC:</b>
                {% endif %}
                <p>{{ object.aboutcity.city_traffic }}</p>
                {% if object.aboutcity.places_to_see %}
                <b class="byline">PLACES TO SEE IN THE CITY:</b>
                {% endif %}
                <p>{{ object.aboutcity.places_to_see }}</p>
                {% if object.aboutcity.where_to_go %}
                <b class="byline">WHERE TO GO AROUND THE CITY:</b>
                {% endif %}
                <p>{{ object.aboutcity.where_to_go }}</p>
                {% if object.aboutcity.food %}
                <b class="byline">FOOD:</b>
                {% endif %}
                <p>{{ object.aboutcity.food }}</p>

            </section>
        </div>

      <p></p><p></p>

    {% if object.media_set.count > 0 %}
        <div id="page" class="container">
            <section>
                <header class="major">
                    <h2>Images</h2>
                </header>
            {% for im in object.media_set.all %}
                {% if im.post.id == object.id %}
                <img src='{{ MEDIA_URL }}{{ im.myimage }}'>
                {% if object.author == user %}
                        <a  href={% url 'media-delete' im.id %}>Delete</a>
                {% endif %}
                <p></p>
                {% endif %}
            {% endfor %}

            </section>
</div>
    {% endif %}

{% endblock %}

</font>